Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

It is really handy if the context menu for issues supports adding a subtask. You will be able to add a subtask from everywhere that

the context menu exists, such as issues list, gantt, calendar, subtasks list in an issue page, and roadmap.

 

 

 

Related issues:

Has duplicate Redmine - Feature #14741: Right click an issue to add a child i... Closed

Associated revisions

Revision 20617 - 2020-12-10 16:18 - Go MAEDA

Allow to add subtask from context menu (#34303).

Patch by Go MAEDA and Takenori TAKAKI.

Revision 20618 - 2020-12-10 16:21 - Go MAEDA

Update locales (#34303).

History
#1 - 2020-11-24 15:53 - Go MAEDA

- File 34303-poc.patch added

Here is a proof-of-concept patch.

#2 - 2020-12-04 08:02 - Takenori TAKAKI

- File 34303-test.patch added

The concept proposed by Maeda worked fine on my environment (trunk@20562).

I have made the test code for 34303-poc.patch and attach it.

#3 - 2020-12-04 09:14 - Go MAEDA

- Target version set to Candidate for next minor release

#4 - 2020-12-05 09:55 - Bernhard Rohloff

+1 Sounds quite handy. :-)

#5 - 2020-12-07 14:53 - Go MAEDA

- File 34303.patch added

- Target version changed from Candidate for next minor release to 4.2.0

Setting the target version to 4.2.0.

#6 - 2020-12-10 16:28 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#7 - 2021-07-05 10:23 - Go MAEDA

- Has duplicate Feature #14741: Right click an issue to add a child issue added
